Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface VariationDriver

All Superinterfaces:
  EnsemblDriver

public interface VariationDriver
extends EnsemblDriver

The point of this class is ...

Author:
  Craig Melsopp

Method Summary
`AlleleConsequenceAdaptor` | `getAlleleConsequenceAdaptor()` The AlleleConsequence adaptor.
`AlleleFeatureAdaptor` | `getAlleleFeatureAdaptor()` The AlleleFeature adaptor.
`AlleleGroupAdaptor` | `getAlleleGroupAdaptor()` The allele group adaptor.
`CoreDriver` | `getCoreDriver()` Core driver associated with this variation driver.
`IndividualAdaptor` | `getIndividualAdaptor()` The individual adaptor.
`IndividualGenotypeAdaptor` | `getIndividualGenotypeAdaptor()` The individual genotype adaptor.
`LDFeatureAdaptor` | `getLDFeatureAdaptor()` The LDFeature adaptor.
`PopulationAdaptor` | `getPopulationAdaptor()` The population adaptor.
`PopulationGenotypeAdaptor` | `getPopulationGenotypeAdaptor()` The population genotype adaptor.
`TranscriptVariationAdaptor` | `getTranscriptVariationAdaptor()` The transcript variation adaptor.
`VariationAdaptor` | `getVariationAdaptor()` The variation adaptor.
`VariationFeatureAdaptor` | `getVariationFeatureAdaptor()` The variation feature adaptor.
`VariationGroupAdaptor` | `getVariationGroupAdaptor()` The variation group adaptor.
`VariationGroupFeatureAdaptor` | `getVariationGroupFeatureAdaptor()` The variation group feature adaptor.
`void` | `setCoreDriver(CoreDriver coreDriver)` Core driver associated with this variation driver.

Methods inherited from interface org.ensembl.driver.EnsemblDriver
`addAdaptor, backupAndClearTable, backupAndClearTables, backupAndClearTables, backupTable, backupTables, backupTables, clearAllCaches, clearTable, clearTables, clearTables, closeAllConnections, deleteDatabase, fetchDatabaseName, fetchDatabaseNames, fetchDatabaseSchemaVersion, fetchMetaValues, fetchTableNames, fetchTableNames, getAdaptor, getAdaptors, getConfiguration, getConnection, getDatasource, getServerFactory, initialise, isConnected, removeAdaptor, removeAdaptor, removeAllAdaptors, restoreTable, restoreTables, restoreTables, setServerDriverFactory, testConnection`

Method Detail

### getCoreDriver

    public CoreDriver getCoreDriver()

  Core driver associated with this variation driver.

### setCoreDriver

    public void setCoreDriver(CoreDriver coreDriver)
                       throws AdaptorException

  Core driver associated with this variation driver.

  Parameters:
    `coreDriver` - driver providing access to the core database associated with the variation database.
  Throws:
    `AdaptorException`

### getVariationFeatureAdaptor

    public VariationFeatureAdaptor getVariationFeatureAdaptor()
                                                       throws AdaptorException

  The variation feature adaptor.

  Returns:
    the variation feature adaptor, or null if not available.
  Throws:
    `AdaptorException`

### getVariationAdaptor

    public VariationAdaptor getVariationAdaptor()
                                         throws AdaptorException

  The variation adaptor.

  Returns:
    the variation adaptor, or null if not available.
  Throws:
    `AdaptorException`

### getPopulationAdaptor

    public PopulationAdaptor getPopulationAdaptor()
                                           throws AdaptorException

  The population adaptor.

  Returns:
    the population adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getVariationGroupAdaptor

    public VariationGroupAdaptor getVariationGroupAdaptor()
                                                   throws AdaptorException

  The variation group adaptor.

  Returns:
    the variation group adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getVariationGroupFeatureAdaptor

    public VariationGroupFeatureAdaptor getVariationGroupFeatureAdaptor()
                                                                 throws AdaptorException

  The variation group feature adaptor.

  Returns:
    the variation group adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getAlleleGroupAdaptor

    public AlleleGroupAdaptor getAlleleGroupAdaptor()
                                             throws AdaptorException

  The allele group adaptor.

  Returns:
    the allele group adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getIndividualAdaptor

    public IndividualAdaptor getIndividualAdaptor()
                                           throws AdaptorException

  The individual adaptor.

  Returns:
    the individual adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getIndividualGenotypeAdaptor

    public IndividualGenotypeAdaptor getIndividualGenotypeAdaptor()
                                                           throws AdaptorException

  The individual genotype adaptor.

  Returns:
    the individual genotype adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getPopulationGenotypeAdaptor

    public PopulationGenotypeAdaptor getPopulationGenotypeAdaptor()
                                                           throws AdaptorException

  The population genotype adaptor.

  Returns:
    the individual genotype adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getTranscriptVariationAdaptor

    public TranscriptVariationAdaptor getTranscriptVariationAdaptor()
                                                             throws AdaptorException

  The transcript variation adaptor.

  Returns:
    the transcript variation adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getLDFeatureAdaptor

    public LDFeatureAdaptor getLDFeatureAdaptor()
                                         throws AdaptorException

  The LDFeature adaptor.

  Returns:
    the LDFeature adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getAlleleFeatureAdaptor

    public AlleleFeatureAdaptor getAlleleFeatureAdaptor()
                                                 throws AdaptorException

  The AlleleFeature adaptor.

  Returns:
    the AlleleFeature adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

### getAlleleConsequenceAdaptor

    public AlleleConsequenceAdaptor getAlleleConsequenceAdaptor()
                                                         throws AdaptorException

  The AlleleConsequence adaptor.

  Returns:
    the AlleleConsequence adaptor, or null if unavailable.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD